Documents
Get document by id
Authorization
bearerAuth AuthorizationBearer <token>
Clerk session JWT. Also send x-clerk-org-id if org context needed.
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "filename": "string", "file_type": "pdf", "storage_path": "string", "source_metadata": { "knowledge": { "isPrimary": true, "description": "string", "tags": [ "string" ], "language": "string" } }, "status": "pending", "chunk_count": 0, "document_version": 1, "created_at": "2019-08-24T14:15:22Z", "knowledge": {}, "usage": { "jobs": [ { "id": "string", "name": "string" } ], "generationCount": 0, "lastUsedAt": "2019-08-24T14:15:22Z" }}